<?php

    declare(strict_types=1);
    
    /**
     * Plugin Name: DSGVO Youtube Einbindung
     * Plugin URI: https://daschmi.de/ds_youtube/
     * Description: DSGVO Youtube Einbindung
     * Author: Daniel Schmitzer (daschmi@daschmi.de)
     * Version: 1.0
	 * Author URI: https://daschmi.de/
     *  
     * @author: Daniel Schmitzer (daschmi@daschmi.de)
     * @date: 14.10.22
     * @time: 17:32
     */
     
    namespace Ds;
	 
	require_once dirname(__FILE__).DIRECTORY_SEPARATOR.'Youtube.class.php';
	
	function ds_youtube($atts, $content = null) {
		
		$ud = \wp_upload_dir();
		
		Youtube::$storage_path = $ud['basedir'].DIRECTORY_SEPARATOR.'ds_youtube'.DIRECTORY_SEPARATOR.'tn_cache'.DIRECTORY_SEPARATOR;
		Youtube::$storage_url = $ud['baseurl'].DIRECTORY_SEPARATOR.'ds_youtube'.DIRECTORY_SEPARATOR.'tn_cache'.DIRECTORY_SEPARATOR;
		
		return Youtube::integrate($content);
		
	}
	
	function wp_enqueue_scripts() {
		
		wp_register_script('ds_youtube', plugins_url('assets/js/ds_youtube.js', __FILE__), [], '1.0');
		wp_enqueue_script('ds_youtube');
		
		wp_register_style('ds_youtube', plugins_url('assets/css/ds_youtube.css', __FILE__), [], '1.0');
		wp_enqueue_style('ds_youtube');
		
	}
	
	add_action('wp_enqueue_scripts', __NAMESPACE__.'\wp_enqueue_scripts');
	
	add_shortcode('ds_youtube', __NAMESPACE__.'\ds_youtube');